gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[GNUnet-SVN] [libtalerutil-emscripten] branch master updated: debug wrap


From: gnunet
Subject: [GNUnet-SVN] [libtalerutil-emscripten] branch master updated: debug wrapper
Date: Thu, 09 Mar 2017 13:56:55 +0100

This is an automated email from the git hooks/post-receive script.

dold pushed a commit to branch master
in repository libtalerutil-emscripten.

The following commit(s) were added to refs/heads/master by this push:
     new 01f680a  debug wrapper
01f680a is described below

commit 01f680a078e8b58495c6ad65af59c4b474ec4c9b
Author: Florian Dold <address@hidden>
AuthorDate: Thu Mar 9 13:56:20 2017 +0100

    debug wrapper
---
 Makefile            |  7 +++++++
 build-debug-wrapper | 42 ++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 49 insertions(+)

diff --git a/Makefile b/Makefile
index e6ad076..6f5d80d 100644
--- a/Makefile
+++ b/Makefile
@@ -1,6 +1,9 @@
 .PHONY: all
 all: wrapper
 
+.PHONY: debug
+debug: debug-wrapper
+
 .PHONY: gnunet
 gnunet: libgcrypt libunistring submodules
        ./build-gnunet
@@ -25,6 +28,10 @@ libunistring: submodules
 wrapper: exchange
        ./build-wrapper
 
+.PHONY: debug-wrapper
+debug-wrapper: exchange
+       ./build-debug-wrapper
+
 .PHONY: submodules
 submodules:
        git submodule update --init --force
diff --git a/build-debug-wrapper b/build-debug-wrapper
new file mode 100755
index 0000000..5fac0dc
--- /dev/null
+++ b/build-debug-wrapper
@@ -0,0 +1,42 @@
+#!/bin/sh
+#  This file is part of TALER
+#  Copyright (C) 2016 INRIA
+#
+#  TALER is free software; you can redistribute it and/or modify it under the
+#  terms of the GNU General Public License as published by the Free Software
+#  Foundation; either version 3, or (at your option) any later version.
+#
+#  TALER is distributed in the hope that it will be useful, but WITHOUT ANY
+#  WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS 
FOR
+#  A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
+#
+#  You should have received a copy of the GNU General Public License along with
+#  TALER; see the file COPYING.  If not, If not, see 
<http://www.gnu.org/licenses/>
+
+# NOTE: it has *no* effect passing optimizing flags for linking into 
JavaScript (such as
+# -O2, -O3) to libraries we link against, since those will serve us in the 
form of bitcode.
+#
+
+set -eu
+
+SCRIPT=$(readlink -f "$0")
+DIR=$(dirname "$SCRIPT")
+OUT=$DIR/out
+
+exports=$(cat exports.txt)
+
+emcc -c -v -O2 -Wall -I$OUT/emscripten/include \
+  wrap.c
+
+emcc -v -O2 --memory-init-file 0 -Wall \
+  -s NO_DYNAMIC_EXECUTION=0 \
+  -s ASSERTIONS=2 \
+  -s SAFE_HEAP=1 \
+  -s EXPORTED_FUNCTIONS="$exports" \
+  wrap.o \
+  $OUT/emscripten/lib/libgnunetutil_taler_wallet.a \
+  $OUT/emscripten/lib/libgcrypt.a \
+  $OUT/emscripten/lib/libgpg-error.a \
+  $OUT/emscripten/lib/libunistring.a \
+  $OUT/emscripten/lib/libtalerutil_wallet.a \
+  -o taler-emscripten-lib.js

-- 
To stop receiving notification emails like this one, please contact
address@hidden



reply via email to

[Prev in Thread] Current Thread [Next in Thread]